Buckets
List buckets
Returns all object-store buckets the token has access to. Optionally filter by project ID.
Returns all object-store buckets the token has access to. Optionally filter by project ID.
GET
/v1/bucketsAuthorizationBearer <token>
OAuth2 authentication
In: header
Scope: workspace:admin, offline_access
Query Parameters
cursor?|
Cursor for pagination
limit?integer
Page size, 1-100
Default
100Range
1 <= value <= 100projectId?string
Filter buckets by project ID
Match
^(proj_)?([cC][^\s-]{8,}|[a-z0-9]+)$branchId?|
branchGitName?string
Length
1 <= lengthResponse Body
application/json
application/json
curl -X GET "https://api.prisma.io/v1/buckets"{
"data": [
{
"id": "string",
"type": "bucket",
"url": "http://example.com",
"name": "string",
"providerName": "string",
"status": "string",
"createdAt": "2019-08-24T14:15:22Z",
"project": {
"id": "string",
"url": "http://example.com",
"name": "string"
},
"branchId": "string"
}
],
"pagination": {
"nextCursor": "string",
"hasMore": true
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}